import java.util.Vector;
import java.util.Enumeration;

public class PriorityDriverParameters 
{
	private Vector vAllPriorityMAC;
	
	private int ownerGenerator;
	
	public PriorityDriverParameters() {
		this.vAllPriorityMAC = new Vector();
		this.ownerGenerator = 0;
	}
	
	public void addPriorityMAC(String strMAC) {
		Vector vPriorityMAC = new Vector();
		vPriorityMAC.add(strMAC);
		vPriorityMAC.add(new Integer(this.ownerGenerator++));
		this.vAllPriorityMAC.add(vPriorityMAC);
		
	}
	
	public boolean searchPriorityMAC(String strMAC) {
		Enumeration enumVar = this.vAllPriorityMAC.elements();
		while(enumVar.hasMoreElements())
		{
			Vector vPriorityMAC = (Vector)enumVar.nextElement();
			String strMAC2 = (String)vPriorityMAC.get(0);
			if(strMAC.equals(strMAC2)) return true;
		}
		return false;
	}
	
	public boolean removePriorityMAC(int indexOwner) {
		Enumeration enumVar = this.vAllPriorityMAC.elements();
		while(enumVar.hasMoreElements())
		{
			Vector vPriorityMAC = (Vector)enumVar.nextElement();
			int indexOwner2 = ((Integer)vPriorityMAC.get(1)).intValue();
			if(indexOwner2 == indexOwner) {
				this.vAllPriorityMAC.remove(vPriorityMAC);
				return true;
			}
		}
		return false;
	}
	
	public Vector getAllPriorityMAC() {
		return this.vAllPriorityMAC;		
	}
	
	public void removeAllPriorityMAC() {
		this.vAllPriorityMAC.removeAllElements();
		this.ownerGenerator = 0;
	}
}
